package de._82grfl1bif.KPI_Visualizer.data;

public class Klasse {
    public String name;
    public String path;

    public int qloc;
    public int loc;
    public int commits;
    public int depth;

    public final int id;

    public int functions;
    public int variables;



    public Klasse(int id, String name, String path, int qloc, int loc, int commits, int functions, int variables){
        this.id = id;
        this.commits = commits;
        this.depth = getDepthOfPath(path);
        this.loc = loc;
        this.qloc = qloc;
        this.functions = functions;
        this.variables = variables;
        this.name = name;
        this.path = path;
    }

    private int getDepthOfPath(String path){
        int result = -1;
        if(path.contains("tmp")){
            result = path.split("/").length-2;
        }
        return result;
    }

}
