package de._82grfl1bif.KPI_Visualizer.data;

import org.bukkit.command.Command;
import org.bukkit.command.CommandSender;
import org.bukkit.command.TabCompleter;
import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;

import java.util.ArrayList;
import java.util.List;

public class FileInputTabCompleter implements TabCompleter {

    @Override
    public @Nullable List<String> onTabComplete(@NotNull CommandSender sender, @NotNull Command command, @NotNull String alias, @NotNull String[] args) {
        if (args.length == 1) {
            return new JsonParser().getFileHistory();
        }
        if (args.length == 2) {
            List<String> result = new ArrayList<>();
            result.add("SquarifiedTreemap");
            result.add("SimpleCornerOptimizer");
            return result;
        }
        return null;
    }
}
